package com.steering.mes.mcp.entity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 接箍采购计划实体类
 */
public class JgPurchasePlanEntity {
    // 主键
    private String id;
    
    // 基础信息
    private String quantity;          // 接箍个数
    private String outerDiameter;  // 外径
    private String wallThickness;  // 壁厚
    private String sgSign;             // 钢级
    private String sgSignCode;         // 钢级代码
    private String steelType;          // 钢种
    private String spec;               // 接箍规格描述
    private String specNo;             // 接箍规格编码
    private String buckleType;         // 扣型描述
    private String buckleTypeCode;     // 扣型编码
    private String sgStd;              // 标准
    private String sgStdCode;          // 标准代码
    private String length;         // 长度
    private String planno;             // 计划号
    private String status;            // 状态：0计划、1已下发、2完毕
    private String contractNo;         // 采购合同号
    
    // 系统字段
    private String creator;            // 创建人
    private Date createTime;           // 创建时间
    private String remark;             // 备注
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getQuantity() {
		return quantity;
	}
	public void setQuantity(String quantity) {
		this.quantity = quantity;
	}
	public String getOuterDiameter() {
		return outerDiameter;
	}
	public void setOuterDiameter(String outerDiameter) {
		this.outerDiameter = outerDiameter;
	}
	public String getWallThickness() {
		return wallThickness;
	}
	public void setWallThickness(String wallThickness) {
		this.wallThickness = wallThickness;
	}
	public String getSgSign() {
		return sgSign;
	}
	public void setSgSign(String sgSign) {
		this.sgSign = sgSign;
	}
	public String getSgSignCode() {
		return sgSignCode;
	}
	public void setSgSignCode(String sgSignCode) {
		this.sgSignCode = sgSignCode;
	}
	public String getSteelType() {
		return steelType;
	}
	public void setSteelType(String steelType) {
		this.steelType = steelType;
	}
	public String getSpec() {
		return spec;
	}
	public void setSpec(String spec) {
		this.spec = spec;
	}
	public String getSpecNo() {
		return specNo;
	}
	public void setSpecNo(String specNo) {
		this.specNo = specNo;
	}
	public String getBuckleType() {
		return buckleType;
	}
	public void setBuckleType(String buckleType) {
		this.buckleType = buckleType;
	}
	public String getBuckleTypeCode() {
		return buckleTypeCode;
	}
	public void setBuckleTypeCode(String buckleTypeCode) {
		this.buckleTypeCode = buckleTypeCode;
	}
	public String getSgStd() {
		return sgStd;
	}
	public void setSgStd(String sgStd) {
		this.sgStd = sgStd;
	}
	public String getSgStdCode() {
		return sgStdCode;
	}
	public void setSgStdCode(String sgStdCode) {
		this.sgStdCode = sgStdCode;
	}
	public String getLength() {
		return length;
	}
	public void setLength(String length) {
		this.length = length;
	}
	public String getPlanno() {
		return planno;
	}
	public void setPlanno(String planno) {
		this.planno = planno;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
    
    
}